# History file 'len-crt.h' to perform two-point ray tracing
# in the model with a LENticular inclusion
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Input files required:
 #chk.pl: "model/"   "model.dat"
 #chk.pl: "crt/len/" "len-rpa.dat"
 #chk.pl: "crt/len/" "len-rec.dat"
 #chk.pl: "crt/len/" "len-rp2.dat"
 #chk.pl: "crt/len/" "len-rp4.dat"
 #chk.pl: "crt/len/" "len-rp5.dat"
 #chk.pl: "crt/len/" "len-rp6.dat"
 #chk.pl: "crt/len/" "len-rp7.dat"
 #chk.pl: "crt/"     "len-src.dat"
 #chk.pl: "crt/"     "crt.dat"
 #chk.pl: "crt/"     "code.dat"
 #chk.pl: "crt/"     "writ.dat"
 #chk.pl: "forms/"   "hsv.dat"
# Output file of 'len-mod.h' used here as an input file:
#                    "len-srf.wrl"

# Model
  MODEL='model.dat'

# Source and receivers
  SRC='len-src.dat'  REC='len-rec.dat'

# Data filenames for CRT (for details see 'crt.for')
  DCRT='crt.dat'
  RPAR='len-rpa.dat'
  CODE='code.dat'       # just refracted P wave
  WRIT='writ.dat'       # only two-point rays stored in files
  CRTLOG='len-log.out'

# Kind of ray parameters (for details see 'init.for')
  INIPAR=2  # geographic-like spherical coordinates

# Ray tracing of the refracted wave ('crt.for' cannot include 'scropc.for'):
  crt: 'len-crt.h' /

# Generating the figures of the ray parameters:
  rpplot: 'len-rp2.dat' /
  rpplot: 'len-rp4.dat' /
  rpplot: 'len-rp5.dat' /
  rpplot: 'len-rp6.dat' /
  rpplot: 'len-rp7.dat' /

# Supplementing receivers with the third coordinate:
  intf: 'model.dat' 'len-rec.dat' 'len-rec.tmp' 2 3 /
# Note: File 'len-rec.dat' contains only X1,X2 receiver coordinates.
#       If it were submitted to program 'crtpts.for' as the receiver
#       file, the travel time could be extrapolated in the horizontal
#       plane to the receiver position, but the vertical X3 coordinate
#       would correspond to the numerical approximation of the point
#       of intersection with the reference surface (Earth surface)
#       rather than to the exact X3 coordinate of the receiver.

# Rewriting the travel times at the receivers into a formatted file
  crtpts: 'len-rec.tmp' 3* 'len-rec.out'  4 0 1 0 /

# Rewriting the two-point rays into a formatted file
  crtray: 'len-rec.tmp' 3* 'len-ray.out'  4 0 /

# Output file of 'len-mod.h' is used here as an input file
  chk.pl: "" "len-srf.wrl"

# Adding two-point rays into the VRML file with surfaces
  VRML='VRML2'
  WRL='len-srf.wrl'  LIN='len-ray.out'  WRLOUT='len-ray.wrl'
  KOLLIN=4  COLORS='hsv.dat'  VPER=6.0  VREF=0.0  CREF=0.166667
  linwrl: 'len-crt.h' /

# Adding source and receivers into the VRML file
  WRL='len-ray.wrl'  PTS='len-src.dat'
  KOLPTS=0  R=1.00  G=0.00  B=1.00
  ptswrl: 'len-crt.h' /
  PTS='len-rec.tmp'
  KOLPTS=0  R=0.00  G=0.00  B=1.00  SHIFT3=0.001
  ptswrl: 'len-crt.h' /

# ======================================================================

# Temporary files (may be deleted):
# '*.tmp'
# 'r0*.out'
# 's0*.out'

# List of output PostScript figures:
# len-rp2.ps, len-rp4.ps, ..., len-rp7.ps... Refer to paper
#     Bulant, P.: 3-D two-point ray tracing in pictures.  In: Seismic
#             Waves in Complex 3-D Structures, Report 6 (Department of
#             Geophysics, Charles University, Prague, September 1997)

# Output VRML file containing 3-D sculptures of rays and interfaces:
# len-ray.wrl

